#!/bin/bash

echo 'Setting up VIM...'

rsync -ax --exclude .git --exclude setup_dotenv_files.sh --exclude vim_fonts ./ ~/
curl --no-progress-meter -fLo ~/.vim/autoload/plug.vim --create-dirs \
    https://raw.githubusercontent.com/junegunn/vim-plug/master/plug.vim

echo 'Done! Remember to run ":PlugInstall" on first run to set up the themes and plugins!'

echo 'Setting up tmux...'

git clone https://github.com/tmux-plugins/tpm.git ~/.tmux/plugins/tpm

echo 'Done! Remember to run "tmux source ~/.tmux.conf" to reload tmux`s config then "<prefix> + I" to download plugins!'
